Home / Call flows that operators actually trace / REFER and Replaces
REFER and Replaces
REFER asks another UA to send a request, and Replaces names the dialog that request should take over.
Learn in 5 minutes
- Read Refer-To and the 202 Accepted
- Follow progress in NOTIFY sipfrag bodies
- Match a Replaces dialog by Call-ID and both tags
Visual
REFER stays in the original dialog. The INVITE it causes is a new dialog that names the old one.
Worked example
Read Refer-To Find the Replaces parameter inside Refer-To. It is escaped.
- Dissect the REFER.
- Decode the idea of the Replaces parameter.
- Note that 202 has not happened yet in this message.
Fault
A tool closes the transfer when it sees 202 Accepted. The NOTIFY sipfrag later says SIP/2.0 486 Busy Here.
The subscription exists so the transferor can see failure as well as success.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Workforce management WFM forecasts volume and builds schedules. It consumes contact-center events. It does not parse Via headers. When a forecast is wrong, the SIP symptom is usually queue delay and 480 or carrier congestion, not a broken dialog ID.
Programmable communications APIs Twilio’s docs home is API reference, tutorials, and integration for Twilio products. Elastic SIP Trunking is the SIP-shaped product already cited in this lab. This page does not define the word CPaaS from an RFC. Read the vendor page before you copy a diagram that uses that word.
Sources and go deeper
- RFC 3515 — last checked 2026-10
- RFC 6665 — last checked 2026-10
- RFC 3891 — last checked 2026-10
- RFC 3261 §12 — last checked 2026-10